summaryrefslogtreecommitdiff
path: root/ci/setup-win32-benchmark.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/setup-win32-benchmark.sh')
-rwxr-xr-xci/setup-win32-benchmark.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ci/setup-win32-benchmark.sh b/ci/setup-win32-benchmark.sh
new file mode 100755
index 000000000..0eac2f666
--- /dev/null
+++ b/ci/setup-win32-benchmark.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -ex
+
+choco install hyperfine zip
+
+CHOCO_PATH=$(mktemp -d)
+curl -L https://github.com/ethomson/PurgeStandbyList/releases/download/v1.0/purgestandbylist.1.0.0.nupkg -o "${CHOCO_PATH}/purgestandbylist.1.0.0.nupkg"
+choco install purgestandbylist -s $(cygpath -w "${CHOCO_PATH}")